Example request
POST https://api.jupiter-erp.com/api/account/tasks
Code
curl -X POST 'https://api.jupiter-erp.com/api/account/tasks' \
-H 'Authorization: Bearer YOUR_API_TOKEN' \
-H 'X-Account-Uuid: YOUR_ACCOUNT_UUID' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"description": "string",
"account_user_id": 0,
"closed": true,
"due_at": "2025-01-14T13:51:15.000Z",
"priority_type": "none",
"task_group_id": 0
}'Request body
Optional
ModelCreateTaskRequest
| Field | Type | Description |
|---|---|---|
| account_user_id | integer | — |
| closed | boolean | — |
| description | string | — |
| due_at | string | Timestamp in W3C format, will be saved in UTC time +00:00 |
| name* | string | — |
| priority_type | string | string
|
| task_group_id* | integer | — |
Example request
{
"name": "string",
"description": "string",
"account_user_id": 0,
"closed": true,
"due_at": "2025-01-14T13:51:15.000Z",
"priority_type": "none",
"task_group_id": 0
}Responses
201Created
ModelTask
| Field | Type | Description | |||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| account_user | object |
| |||||||||||||||||||||||||||||||||||||||||||||||||||
| account_user_id | integer | — | |||||||||||||||||||||||||||||||||||||||||||||||||||
| closed | boolean | — | |||||||||||||||||||||||||||||||||||||||||||||||||||
| closed_at | string | Timestamp in W3C format, will be saved in UTC time +00:00 | |||||||||||||||||||||||||||||||||||||||||||||||||||
| created_at | string (date-time) | Creation timestamp in ISO 8601 format. | |||||||||||||||||||||||||||||||||||||||||||||||||||
| created_by | object |
| |||||||||||||||||||||||||||||||||||||||||||||||||||
| created_user_id | integer | — | |||||||||||||||||||||||||||||||||||||||||||||||||||
| description | string | — | |||||||||||||||||||||||||||||||||||||||||||||||||||
| due_at | string | Timestamp in W3C format, will be saved in UTC time +00:00 | |||||||||||||||||||||||||||||||||||||||||||||||||||
| id* | integer | — | |||||||||||||||||||||||||||||||||||||||||||||||||||
| name* | string | — | |||||||||||||||||||||||||||||||||||||||||||||||||||
| priority_type | string | string
| |||||||||||||||||||||||||||||||||||||||||||||||||||
| task_groups | object[] | array Elements
| |||||||||||||||||||||||||||||||||||||||||||||||||||
| updated_at | string (date-time) | Last update timestamp in ISO 8601 format. |
Example response
{
"id": 0,
"name": "string",
"description": "string",
"due_at": "2025-01-14T13:51:15.000Z",
"priority_type": "none",
"closed": true
}Tasks